Bug 220957 - vpn network is not noticed by NetworkManagerDispatcher
vpn network is not noticed by NetworkManagerDispatcher
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 11:32 EST by Carl Roth
Modified: 2008-01-16 05:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 05:37:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2006-12-29 11:32:50 EST
Description of problem:

When openvpn interfaces are brought up, the NetworkManagerDispatcher scripts
aren't being run.

Version-Release number of selected component (if applicable):

knetworkmanager-0.1-0.5.svn20061113.fc6
NetworkManager-0.6.4-5.fc6
NetworkManager-openvpn-0.3.2-7.fc6

How reproducible:

Always

Steps to Reproduce:
1. Create an openvpn connection
2. Create a dummy NetworkManagerDispatcher script with side effects (i.e.
touches a file)
3. Start the openvpn interface
4. Verify (by lack of side effects) that dispatcher script did not run
  
Actual results:

NetworkManagerDispatcher scripts do not run for the 'tap0' device.

Expected results:

All NetworkManagerDispatcher scripts should be run for the openvpn device.  I
would expect that the hook scripts would be run for any network device change,
physical or virtual.

Additional info:

This system has NetworkManager and NetworkManagerDispatcher running, with a few
dispatcher scripts installed.  The hook scripts are being run for the non-vpn
device (eth0 or eth1) but not for the openvpn device tap0.
Comment 1 Tim Niemueller 2007-01-06 10:17:38 EST
Have you tried this with Cisco VPN (vpnc) connections. This seems to be a
problem in the VPN subsystem to me, checking this with vpn could make us sure
about this. I'm going to have a look, too.
Comment 2 Carl Roth 2007-01-07 15:14:46 EST
Sorry, this isn't something I can verify.  I don't have access to a cisco vpn.
Comment 3 clifford snow 2007-03-20 20:50:30 EDT
I am attempting to run a script based on NetworkManagerDispatcher seeing the
change to a VPN connection.  When connecting with a wireless network on eth1
scripts run fine.  However, when the openvpn connection on tun0 is up,
Dispatcher does not run. 

It seems like this might be a feature request, to have a vpn connect/disconnect
hook similar to the existing hooks with Dispatcher.
Comment 4 Tim Niemueller 2007-11-23 09:02:37 EST
Does this problem still exist on F-7/8? Have you had the chance to check with
vpnc. It seems to be a NM problem per se but before reassigning the component I
would like someone to check this.
Comment 5 Tim Niemueller 2008-01-16 05:37:13 EST
Closing after long inactivity.

Note You need to log in before you can comment on or make changes to this bug.